summaryrefslogtreecommitdiffstats
path: root/extra/source/kde3-compat/k3b3/k3b3.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /extra/source/kde3-compat/k3b3/k3b3.SlackBuild
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'extra/source/kde3-compat/k3b3/k3b3.SlackBuild')
-rwxr-xr-xextra/source/kde3-compat/k3b3/k3b3.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/extra/source/kde3-compat/k3b3/k3b3.SlackBuild b/extra/source/kde3-compat/k3b3/k3b3.SlackBuild
new file mode 100755
index 000000000..186fbe7b9
--- /dev/null
+++ b/extra/source/kde3-compat/k3b3/k3b3.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+CWD=`pwd`
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-k3b3
+
+VERSION=1.0.5
+ARCH=${ARCH:-x86_64}
+BUILD=opt1
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf k3b-$VERSION
+tar xjvf $CWD/k3b-$VERSION.tar.bz2 || exit 1
+cd k3b-$VERSION
+chown -R root:root .
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+
+QTDIR=/opt/kde3/lib64/qt3
+
+# ./configure --help lists --docdir, but it is ignored. Oh well.
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/opt/kde3 \
+ --libdir=/opt/kde3/lib64 \
+ --sysconfdir=/etc/kde \
+ --docdir=/usr/doc \
+ --without-cdrecord-suid-root \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+make -j4 || exit 1
+make install DESTDIR=$PKG
+
+# Add a .desktop in the compatible location:
+mkdir -p $PKG/usr/share/applications/kde4
+( cd $PKG/usr/share/applications/kde4 ; ln -sf /opt/kde3/share/applications/kde/k3b.desktop k3b3.desktop )
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+mkdir -p $PKG/usr/doc/k3b-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING-DOCS ChangeLog FAQ INSTALL KNOWNBUGS PERMISSIONS README RELEASE_HOWTO TODO k3b.lsm \
+ $PKG/usr/doc/k3b-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/k3b3-$VERSION-$ARCH-$BUILD.txz
+